Bug 1157515 - Application icon is too small to be used in the software center
Summary: Application icon is too small to be used in the software center
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: asc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 10:51 UTC by Richard Hughes
Modified: 2014-11-03 05:23 UTC (History)
1 user (show)

Fixed In Version: asc-2.6.0.0-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 05:23:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Hughes 2014-10-27 10:51:16 UTC
Description of problem:

In Fedora 21 we show any valid application in the software center with an application icon of 32x32 or larger. Currently a 32x32 icon has to be padded with 16 pixels of whitespace on all 4 edges, and *also* has to be scaled x2 to match other UI elements on HiDPI screens.

This looks fuzzy, out of alignment and lowers the quality of an otherwise beautiful installing experience. For Fedora 22 we are planning to increase the minimum icon size to 48x48, with recommended installed sizes of 24x24, 48x48, 64x64 and 256x256 (or SVG).

Modern desktop applications typically ship multiple sizes of icons in known locations, and it's very much the minority of packages in Fedora (69 out of 1042) that only ship such small icons.

I'm asking package maintainers to install a larger icon than 32x32 in the Fedora package. Most of the time this will involve just installing a different icon from the tarball, but could also mean contacting upstream and asking them for larger icons and a new tarball release.

If you're asking upstream, please ask for a 256x256 or 64x64 icon, as the latter will probably be the minimum size for F23 and beyond. If you want to fix up F20 and F21 too that would be great, but not expected.

At the end of November I'll change the minimum icon size in the AppStream generator so that applications not fixed will not be shown in the software center. You can of course install this application in F22 with dnf on the command line, but it won't be visible in the software center until they are installed manually.

Additional info:
If you're unclear on what needs to be done in order to be listed in the software center, refer to this https://github.com/hughsie/appstream-glib#what-is-an-application or comment here.

Thanks!

Richard.

Comment 1 Fedora Update System 2014-10-28 08:04:07 UTC
asc-2.6.0.0-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/asc-2.6.0.0-5.fc21

Comment 2 Fedora Update System 2014-10-28 10:08:16 UTC
Package asc-2.6.0.0-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing asc-2.6.0.0-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13851/asc-2.6.0.0-5.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-11-03 05:23:40 UTC
asc-2.6.0.0-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.